package cz.vutbr.feec.gui;
/*
import javafx.scene.control.Dialogs;
import javafx.scene.control.Dialogs.DialogResponse;
*/
import org.controlsfx.control.action.Action;
import org.controlsfx.dialog.Dialogs;

import cz.vutbr.feec.project.GlobalParameters;
import cz.vutbr.feec.stockElements.AccidentCell;
import cz.vutbr.feec.stockElements.RackCell;
import cz.vutbr.feec.stockElements.Stock;

public class CellSettingsWindow {

	private Stock s = Stock.getInstance();

	public CellSettingsWindow(int x, int y) {
		String type;
		if (s.getFieldIndex(x, y).getClass() == RackCell.class) {
			type = "RACK";
		} else if (s.getFieldIndex(x, y).getClass() == AccidentCell.class) {
			type = "ACCIDENT";
		} else {
			type = "CORIDOR";
		}
/*
		DialogResponse response = Dialogs.showConfirmDialog(
				GlobalParameters.primaryStage, "This cell is " + type,
				"Cell Settings", "");
				*/
		Action response = Dialogs.create()
		        .owner(GlobalParameters.primaryStage)
		        .title("")
		        .masthead("Cell settings")
		        .message("This cell is "+type)
		        .showConfirm();
		}
}
